Bug 76089 - System stalls when writing to disk
Summary: System stalls when writing to disk
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-16 19:16 UTC by Chuck Simmons
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
program to generate an I/O load (2.89 KB, text/plain)
2002-10-16 19:19 UTC, Chuck Simmons
no flags Details

Description Chuck Simmons 2002-10-16 19:16:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
A 2cpu smp system exhibits poor scheduling performance when a process is 
writing to disk via the ext3 file system.  To drive the bug, create a process
that sequentially writes 3GB of data to a file on disk.  Observe that 'cat
/proc/meminfo' takes minutes to return while the writes are taking place. 
Observe that 'ssh' stalls for a long time when logging into the machine from a
remote machine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a process that sequentially writes to disk.
2. Run the process.
3. Try doing other work on the system.
	

Actual Results:  'cat /proc/meminfo' took minutes to return.  'ssh' took tens of
seconds to log into the system.  (iostat reports a write throughput of about 10
to 11 MB/sec.)

Expected Results:  Locking and scheduling algorithms should be tuned so that
long running processes that perform heavy I/O do not make the system unusable by
other processes which perform light I/O.

Additional info:

ext3 file system, dual cpu, 2GB of ram, no swap space.

Comment 1 Chuck Simmons 2002-10-16 19:19:25 UTC
Created attachment 80706 [details]
program to generate an I/O load

Comment 2 Bugzilla owner 2004-09-30 15:40:05 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.